<fieldset>

    <div class="control-group">
        <label class="control-label required"><?php echo _('Reactor Script'); ?></label>
        <div class="controls">
            <select name="plugin" class="span3">
				<?php 
				//fetch file list
				$plugin_dir = realpath(APPPATH).'/libraries/scripts/'; 
				$files = scandir($plugin_dir);
				
				foreach($files as $file) {
					//only add files we can actually use
					if($file[0]!='.' && !is_dir($plugin_dir.$file) && is_executable($plugin_dir.$file))
						echo  "<option value='{$file}' ";
						echo reactor_option_selected('plugin', $file, $defaults);
						echo ">{$file}</option>\n";	
				}
				?>
            </select>
            <?php echo form_error('plugin') ?>
        <span class="help-inline">
            <?php echo question_tooltip('Additional scripts can be added through Administration -> Scripts'); ?>
        </span>
        </div>	
         
	</div>
	 	 
    <div class="control-group">
        <label class="control-label"><?php echo _('Arguments'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'args',
                'class' => 'span4',
                'value' => set_value('args', @htmlentities($defaults['args'])),
				)); ?>   	
			<?php echo form_error('args') ?>
             <span class="help-inline">
                <?php echo question_tooltip('Specify Reactor script arguments as you would on the command line.'); ?>
            </span>
        </div>
    </div>
	
	
	<div class="control-group">
        <label class="control-label required"><?php echo _('Comparison'); ?></label>
        <div class="controls">
            <select name="operator" class="span3">
                <option value="eq" <?php echo reactor_option_selected('operator', 'eq', $defaults) ?>><?php echo _('Is equal to'); ?></option>
				<option value="gt" <?php echo reactor_option_selected('operator', 'gt', $defaults) ?>><?php echo _('Is greater than'); ?></option>
				<option value="lt" <?php echo reactor_option_selected('operator', 'lt', $defaults) ?>><?php echo _('Is less than'); ?></option>
            </select>
			<?php echo form_error('operator') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Choose how to compare the exit code returned from the script.'); ?>
            </span>
        </div>
    </div>

	<div class="control-group">
        <label class="control-label required"><?php echo _('Exit Code'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'code',
                'class' => 'span1',
                'value' => set_value('code', @$defaults['code']),
				)); ?>
            	
			<?php echo form_error('code') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Compare the scripts exit code.'); ?>
            </span>
        </div>
    </div>
</fieldset>
